
local function is32bit()
	return string.dump(is32bit):byte(9) == 4
end

if is32bit() then
	require("tntanimator32")
else
	require("tntanimator64")
end

require "accelerometer"

application:setKeepAwake(true)

accelerometer:start()

--set background

	background = Bitmap.new(Texture.new("Assets/grfx/backgroundPaint.png"))
	background:setX(-100)

--Load tilemap
	map = TileMapMultiple.new("Levels/level_1_1.lua")
	print("Map has "..map:getNumChildren().." children")
	local ground = map:getLayer("ground")
	print(ground.data[100]) -- data value larger than 0 means there is a tile there.
	print(map:getChildAt(1):getChildAt(1):getTile(13, 7))
	--print(map:getTile(5, 5))
	
	player = Player.new()
	player:setY(0)
	local points = player:getCollisionPoints()
	print(points.TL.x, points.TL.y)
	print(player:getPosition())
	--player:setY(floor:getY() - player:getHeight())
	
	local x, y = map:findBlock(479,480)
	print(map:findPoints(12,2))
	print(map:findData(x, y, ground))
	
function onEnterFrame()
	map:checkCollisionX(player, ground)
	map:checkCollisionY(player, ground)
	if player then
		--[[if player:getY() + player:getHeight() > floor:getY() - 9 then
			player:setY(floor:getY() - player:getHeight() +2 )
			player.onGround = true
			else
			player.onGround = false
			end]]
		if player:getX() > 800 then
			player:setX(0 - player:getWidth())
			end
		if player:getX() < 0 - player:getWidth() then
			player:setX(800)
			end
		end

end

stage:addChild(background)
stage:addChild(map)
stage:addChild(player)

stage:addEventListener(Event.ENTER_FRAME, onEnterFrame)

